about summary refs log tree commit diff
path: root/debian/tests
diff options
context:
space:
mode:
authorSebastien Bacher <seb128@ubuntu.com>2020-07-07 11:09:11 +0200
committerSebastien Bacher <seb128@ubuntu.com>2020-07-07 11:09:11 +0200
commita20dc659ec68a55ab86bb180316d1ec6d6a1fffc (patch)
tree5a91f63ffc5a29b938b824813c3ed9216ccca635 /debian/tests
parentd94a1d63ed01fcfff56bbd09ffd728b72fece331 (diff)
* debian/tests:
  - don't use the old service name in the test, the compatibility alias
    has been removed
Diffstat (limited to 'debian/tests')
-rwxr-xr-xdebian/tests/killswitches-no-urfkill2
-rwxr-xr-xdebian/tests/nm.py2
-rw-r--r--debian/tests/urfkill-integration4
3 files changed, 4 insertions, 4 deletions
diff --git a/debian/tests/killswitches-no-urfkill b/debian/tests/killswitches-no-urfkill
index f7adc67c..4736ffba 100755
--- a/debian/tests/killswitches-no-urfkill
+++ b/debian/tests/killswitches-no-urfkill
@@ -20,7 +20,7 @@ insmod debian/tests/fake-rfkill.ko
 
 fake_id=$(rfkill list | grep fake | awk -F: '{ print $1; }')
 
-service network-manager start
+service NetworkManager start
 sleep 30
 
 # test blocking the device
diff --git a/debian/tests/nm.py b/debian/tests/nm.py
index 7399c4d9..f4fe46d6 100755
--- a/debian/tests/nm.py
+++ b/debian/tests/nm.py
@@ -857,7 +857,7 @@ def setUpModule():
     assert libc6.unshare(ctypes.c_int(0x00020000)) == 0, 'failed to unshare mount namespace'
 
     # stop system-wide NetworkManager to avoid interfering with tests
-    nm_running = subprocess.call('service network-manager stop 2>&1', shell=True) == 0
+    nm_running = subprocess.call('service NetworkManager stop 2>&1', shell=True) == 0
 
 
 def tearDownModule():
diff --git a/debian/tests/urfkill-integration b/debian/tests/urfkill-integration
index 11499db9..61c4096a 100644
--- a/debian/tests/urfkill-integration
+++ b/debian/tests/urfkill-integration
@@ -31,11 +31,11 @@ service urfkill stop || true
 echo "+++ unblocking device $fake_id"
 rfkill unblock $fake_id
 echo "+++ stopping network-manager"
-service network-manager stop || true
+service NetworkManager stop || true
 echo "+++ blocking device $fake_id"
 rfkill block $fake_id
 echo "+++ starting network-manager"
-service network-manager start
+service NetworkManager start
 
 echo "+++ Waiting for the devices to settle"
 sleep 30